package com.ruoyi.info.management.service;

import com.ruoyi.info.management.domain.ManagementTeacher;
import com.ruoyi.info.management.domain.bo.ManagementTeacherPageReqBo;
import com.ruoyi.info.management.domain.vo.ManagementTeacherVo;
import com.ruoyi.info.management.domain.bo.ManagementTeacherBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.info.nursing.domain.bo.EnableStatusBo;

import java.util.Collection;
import java.util.List;

/**
 * 管理老师信息Service接口
 *
 * @author baifc
 * @date 2025-09-30
 */
public interface IManagementTeacherService {

    /**
     * 查询管理老师信息分页
     *
     * @param bo 管理老师信息
     * @return 管理老师信息集合
     */
    TableDataInfo<ManagementTeacherVo> queryPageList(ManagementTeacherPageReqBo bo, PageQuery pageQuery);

    /**
     * 查询管理老师信息列表
     *
     * @param bo 管理老师信息
     * @return 管理老师信息集合
     */
    List<ManagementTeacherVo> queryList(ManagementTeacherBo bo);

    /**
     * 查询管理老师信息
     *
     * @param id 管理老师信息主键
     * @return 管理老师信息
     */
    ManagementTeacherVo queryById(Long id);

    /**
     * 详情管理老师信息
     *
     * @param id 管理老师信息主键
     * @return 管理老师信息
     */
    ManagementTeacher loadById(Long id, Boolean tw);

    /**
     * 新增管理老师信息
     *
     * @param bo 管理老师信息
     * @return 结果
     */
    Boolean insertByBo(ManagementTeacherBo bo);

    /**
     * 修改管理老师信息
     *
     * @param bo 管理老师信息
     * @return 结果
     */
    Boolean updateByBo(ManagementTeacherBo bo);

    /**
     * 校验并批量删除管理老师信息信息
     *
     * @param ids 需要删除的管理老师信息主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return 结果
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据id列表查询
     *
     * @param ids
     * @return
     */
    List<ManagementTeacher> queryByIds(Collection<Long> ids);

    /**
     * 修改状态
     *
     * @param bo
     */
    void updateStatus(EnableStatusBo bo);


    ManagementTeacherVo queryDelById(Long id);

    /**
     * 获取管理老师信息
     *
     * @param mobile
     * @param isEnable
     * @return
     */
    ManagementTeacherVo getByPhoneNumber(String mobile, boolean isEnable);
}
